; *******************************
; Netflix Remote Control v0.7
; *******************************
;
; AutoHotKey script for control of Netflix: Movie Viewer in Internet Explorer


; Initialize window group
ViewerWindowTitle := "Netflix: Netflix Movie Viewer"

GroupAdd, ViewerWindow, %ViewerWindowTitle%

; ****************
; START Of Hotkeys
; ****************
; Here you can edit/cchange the keys used for the various actions.
; "^e::" for example, is control + e.  "Media_Stop::" is the stop button
; found on most multimedua keyboards.
; see: http://www.autohotkey.com/docs/KeyList.htm for more
; each action can have multiple keys to do the same thing.  Just list them one after another.


; Exit the netflix movie viewer, and wait
; for a new viewer window to open
; ******************************************
#IfWinExist, ahk_group ViewerWindow
^e::
Media_Stop::
Browser_Stop::
Browser_Home::
    result := SendCtrlMsg(10, 100)
return


; Jump ahead about 10 pixels in the timeline
; ******************************************
#IfWinExist, ahk_group ViewerWindow
^s::
s::
Right::
    result := SendCtrlMsg(10, 101)
return


; Jump back about 10 pixels in the timeline
; ******************************************
#IfWinExist, ahk_group ViewerWindow
^a::
a::
Left::
    result := SendCtrlMsg(10, 102)
return


; Move to next Chapter/Episode
; *****************************
#IfWinExist, ahk_group ViewerWindow
^c::
^f::
Media_Next::
    result := SendCtrlMsg(10, 103)
return

; Move to previous Chapter/Episode
; *********************************
#IfWinExist, ahk_group ViewerWindow
^b::
Media_Prev::
    result := SendCtrlMsg(10, 104)
return


; Play
; *****************************
#IfWinExist, ahk_group ViewerWindow
V::
    result := SendCtrlMsg(10, 105)
return


; Pause
; *****************************
#IfWinExist, ahk_group ViewerWindow
^l::
    result := SendCtrlMsg(10, 106)
return


; Toggle play/pause
; *****************************
#IfWinExist, ahk_group ViewerWindow
Media_Play_Pause::
Space::
Enter::
^p::
    result := SendCtrlMsg(10, 107)
return


; Toggle Mute On/Off
; *****************************
#IfWinExist, ahk_group ViewerWindow
Volume_Mute::
F8::
    result := SendCtrlMsg(10, 108)
return


; Move volume Up
; *****************************
#IfWinExist, ahk_group ViewerWindow
Volume_Up::
F10::
    result := SendCtrlMsg(10, 109)
return


; Move volume down
; *****************************
#IfWinExist, ahk_group ViewerWindow
Volume_Down::
F9::
    result := SendCtrlMsg(10, 110)
return


; *******************
; END Of Hotkeys
; *******************

SendCtrlMsg(wParam, lParam)
{
    SentMessage := 0
    SetTitleMatchMode 2
    
        DetectHiddenWindows On
    
        if WinExist("netflix_silverlight_control.exe")
        {
            PostMessage, 0x5555, wParam, lParam  ; The message is sent  to the "last found window" due to WinExist() above.
            SentMessage := 1
        }
        else
        {    
            SentMessage := 0
            ;MsgBox, No Sent Msg
        }

    DetectHiddenWindows Off  ; Must not be turned off until after PostMessage.
    Return SentMessage
}